/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Controlegrpacesso;
import com.tabajara.base.tables.records.ControlegrpacessoRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ControlegrpacessoDao extends AbstractVertxDAO<ControlegrpacessoRecord, com.tabajara.base.tables.pojos.Controlegrpacesso, Integer, Future<List<com.tabajara.base.tables.pojos.Controlegrpacesso>>, Future<com.tabajara.base.tables.pojos.Controlegrpacesso>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<ControlegrpacessoRecord,com.tabajara.base.tables.pojos.Controlegrpacesso,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public ControlegrpacessoDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Controlegrpacesso.CONTROLEGRPACESSO, com.tabajara.base.tables.pojos.Controlegrpacesso.class, new JDBCClassicQueryExecutor<ControlegrpacessoRecord,com.tabajara.base.tables.pojos.Controlegrpacesso,Integer>(com.tabajara.base.tables.pojos.Controlegrpacesso.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Controlegrpacesso object) {
        return object.getCongrpid();
    }

    /**
     * Find records that have <code>fkconid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Controlegrpacesso>> findManyByFkconid(List<Integer> values) {
        return findManyByCondition(Controlegrpacesso.CONTROLEGRPACESSO.FKCONID.in(values));
    }

    /**
     * Find records that have <code>fkgrpid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Controlegrpacesso>> findManyByFkgrpid(List<Integer> values) {
        return findManyByCondition(Controlegrpacesso.CONTROLEGRPACESSO.FKGRPID.in(values));
    }
}
